summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Görtz2015-08-03 11:21:15 +0200
committerAlexander Görtz2015-08-03 11:21:33 +0200
commit70219adccd739ae4682ff8df81fcecfa0123524c (patch)
tree8c61c036300c6185450df28cc6d2d3feb39b7709
downloadaur-70219adccd739ae4682ff8df81fcecfa0123524c.tar.gz
Initial commit of the python-systemd-git package
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD32
2 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fa888ad377d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = python-systemd-git
+ pkgdesc = Systemd python bindings
+ pkgver = 230.r8.g58c65cf
+ pkgrel = 1
+ url = https://github.com/systemd/python-systemd
+ arch = any
+ license = GPL3
+ depends = python systemd
+ provides = python-systemd
+ source = python-systemd-git::git+https://github.com/systemd/python-systemd.git
+ md5sums = SKIP
+
+pkgname = python-systemd-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a2405c348c0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Alexander Görtz <aur@nyloc.de>
+
+pkgname=python-systemd-git
+pkgver=230.r8.g58c65cf
+pkgrel=1
+pkgdesc="Systemd python bindings"
+arch=('any')
+url="https://github.com/systemd/python-systemd"
+depends=('python systemd')
+provides=python-systemd
+license=('GPL3')
+arch=('any')
+source=("${pkgname}"::"git+https://github.com/systemd/python-systemd.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${srcdir}/${pkgname}"
+ make build
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+ make DESTDIR="$pkgdir" install
+}